( function ( $ ) {
	$(document).ready(function(){
		
		$('.dokan-settings-wrap').on('change','#dokan_verification_sms_gateways\\[active_gateway\\]',function(){
			var active_gateway = $(this).val();
			activate_gateway(active_gateway);
		});
		$('#dokan_verification_sms_gateways\\[active_gateway\\]').change();
		$('.dokan-settings-wrap').on('click','#verification_gateway_test',function(){
			var phone = $('input#verification_gateway_test_number').val();
			dokan_verification_gateway_test(phone);
		});
		
		
	});
	function vendorRangineShowMessage(title,message,footer){
		$('body').append('<div id="vrmWrapper"><div class="vrmTitle">'+title+'<span class="close">X</span></div><div class="vrmBody">'+message+'</div><div class="vrmFooter">'+footer+'<button class="close button-secondary">بستن</button></div></div><style>#vrmWrapper {position: fixed;z-index: 10000;top: 50px;bottom: 50px;right: 300px;left: 300px;background: #fff;box-shadow: 0 0 5px #000;border-radius: 2px;/*font-family: tahoma;*/} @media(max-width:600px){ #vrmWrapper { top: 30px; bottom: 30px; right: 30px; left: 30px;}} .vrmTitle {padding: 10px;border-bottom: 1px solid #ddd;background: #f9f9f9;} .vrmTitle .close {float: left;color: #aaa; cursor: pointer; height: 19px;} .vrmTitle .close:hover {color: #555;} .vrmFooter {padding: 10px;border-top: 1px solid #ddd;background: #f9f9f9;position: absolute;right: 0;left: 0;bottom: 0; height: 19px;} .vrmFooter .close {position: absolute;left: 6px;top: 6px;} .vrmBody {position: absolute;height: auto;overflow: auto;top: 40px;bottom: 40px;padding: 10px;text-align: justify;} .pattern-message { background-color: #eee; padding: 10px; margin: 5px; border: 1px solid #aaa; border-radius: 5px;} .pcodecheckresult label { min-width: 100px; display: inline-block;} #onlinepattern button { background-color: #8af996; padding: 5px 10px; border-radius: 5px; border: 1px solid #14b025; margin: 10px auto; width: 200px; display: block;} #onlinepattern button.hidden { display: none;}</style>');
		$('#vrmWrapper .close').click(function(){
			$('#vrmWrapper').remove();
		})
	}
	function activate_gateway(active_gateway){
		var gateways = {
			'rangine':['panel_pattern', 'panel_pattern_vars'],
			'melipayamak':['panel_pattern'],
			'raygansms':[],
			'amnyar':[],
			'sibsms':['panel_pattern', 'panel_pattern_vars'],
			'smsir':[],
			'maxsms':['panel_pattern', 'panel_pattern_vars'],
			'payamresan':[],
			'modirpayamak':['panel_pattern', 'panel_pattern_vars'],
			'payamnam':['panel_pattern', 'panel_pattern_vars'],
			'kavenegar':['panel_pattern', 'panel_pattern_vars'],
			'parsgreen':[]
		};
			for (key  in gateways) {
				$("tr[class^='"+key+"']").hide();
			}  

			if($.inArray('panel_pattern',gateways[active_gateway])!== -1) $("tr.panel_pattern").show(); else $("tr.panel_pattern").hide();
			if($.inArray('panel_pattern_vars',gateways[active_gateway])!== -1) $("tr.panel_pattern_vars").show(); else $("tr.panel_pattern_vars").hide();
			
			if(active_gateway == 'parsgreen'){
				$("tr.panel_username,tr.panel_pass").hide();
			}else{
				$("tr.panel_username,tr.panel_pass").show();
			}
			$("tr[class^='"+active_gateway+"']").show();
			if(active_gateway == 'rangine') {
				$('tr.panel_pattern .rangine-tools').remove();
				$('tr.panel_pattern label').after('<div class="rangine-tools"><a class="rangine-patternlearn">آموزش ثبت پترن(الگو)</a><br><a class="rangine-patterntool">ابزار تنظیم پترن</a></div>');
				$('.rangine-patternlearn').on('click',function(){
				
				var patternLearnText = '<p>	سامانه رنگینه برای فراهم نمودن ارسال سریع کد تایید با خطوط خدماتی، سیستم ارسال بر اساس الگو(پترن) را پیشنهاد می کند. شما در درگاه رنگینه افزونه تأیید موبایل دکان 2 انتخاب برای ارسال پیامک احراز هویت دارید:</p><p>	1- ارسال بر اساس الگوی از پیش تعیین شده: برای استفاده از این شیوه روی ابزار تنظیم پترن کلیک کرده و گزینه &laquo;ارسال بر اساس الگوی پیش فرض&raquo; را کلیک کنید. فراموش نکنید که نام فروشگاه یا سایت خود را در کادر ارسال کننده بالای همین صفحه وارد کنید.</p><p>	2- ارسال بر اساس الگوی اختصاصی خودتان: برای استفاده از این شیوه روی ابزار تنظیم پترن کلیک کنید و بر اساس دستورالعملی که در ادامه می آید الگوی خود را ثبت نمایید.</p><p>	3- ارسال پیامک به صورت معمولی بدون الگو: برای استفاده از این شیوه کادر کد الگو را خالی بگذارید. در این حالت متنی که در کادر &laquo;متن پیامک &raquo; تایپ می کنید پیامک خواهد شد. این نوع ارسال، از خط اختصاصی سریع انجام می شود اما از خطوط خدماتی اشتراکی سامانه با تاخیر انجام می گیرد و پیشنهاد نمی شود.</p><p>	<strong>ثبت الگوی اختصاصی:</strong></p><p>	در صورتی که بخواهید متن پیامک احراز هویت طبق الگوی دلخواه خودتان باشد، نیاز به ثبت الگو یا پترن دارید. جهت ایجاد الگو و ثبت آن در این افزونه از دستورالعمل زیر استفاده نمایید.</p><p>	وارد پنل پیامک رنگینه شوید و در منوی پنل گزینه &laquo;ارسال بر اساس پترن&raquo; را کلیک کنید.</p><p>	در صفحه ظاهر شده روی دکمه &laquo;+ جدید&raquo; کلیک کنید.</p><p>	مانند متن زیر یک الگو را تایپ کرده و دکمه ثبت را کلیک نمایید:</p><p>	<strong>کد تأیید شما: %code%<br />	فروشگاه ابزار خودرو</strong></p><p>	(متن الگو را طبق صلاح خود وارد کنید اما حتما نام فروشگاه خود را ثبت کنید)</p><p>	بعد از ثبت موفق الگو منتظر بمانید تا حداکثر طی 12 ساعت الگوی شما تایید شود. وضعیت تایید یا رد الگوی خود را در همان صفحه &laquo;ارسال بر اساس پترن&raquo; پنل پیامک می توانید مشاهده نمایید.&nbsp;</p><p>	پس از اینکه الگو تایید و فعال شد، تنظیمات درگاه این افزونه را به شکل زیر انجام دهید:</p><p>روی لینک ابزار تنظیم پترن کلیک کنید و طبق راهنمای آن کد پترن و متغیرهایش را در کادرهای مربوطه وارد نمایید و دکمه درج الگو در کادر مربوطه را کلیک کنید</p><p>	سپس دکمه ذخیره تغییرات را کلیک کنید.</p>';
				vendorRangineShowMessage('آموزش ثبت پترن(الگو)',patternLearnText,'در صورت نیاز به راهنمایی بیشتر با پشتیبانی سامانه پیامک خود تماس بگیرید.')
			});
			$('.rangine-patterntool').on('click',function(){
				var patternToolText = 'پس از ثبت پترن در سامانه پیامک رنگینه و تأیید آن، کد پترن را در کادر زیر وارد نمایید:<div id="onlinepattern"><label>کد پترن:</label> <input class="patterncodeinput" placeholder="کد الگوی شما" type="text"><div class="pattern-message"></div><div><button class="onlinepcodechecker" type="button">بررسی الگو</button></div><div class="pcodecheckresult"></div><div class="variableshelp hidden">متغیر کد تأیید: %OTP%</div><div><button class="patterninsert hidden" type="button">ثبت الگو در کادر پیامک</button></div></div><br><div><b>راهنمایی:</b><p class="ranginepatternstephelp"> متنی مانند زیر را در سامانه پیامک رنگینه > صفحه ارسال بر اساس پترن ایجاد کنید:<br><br>کد تأیید شما: %code%<br>نام فروشگاه شما<br><br>پس از مدتی که پترن شما تأیید شد، کد پترن را از همان صفحه ارسال بر اساس پترن کپی و در کادر فوق درج نمایید.</p></div>';
				vendorRangineShowMessage('ابزار تنظیم پترن',patternToolText,'درگاه سامانه پیامک رنگینه');
				
				$('.onlinepcodechecker').on('click',function(){
					pcode = $('#onlinepattern .patterncodeinput').val();
					jQuery.ajax({
						type: 'post',
						async: true,
						url: dokan_verification_admin.ajax_url,
						data: {
							action: 'verification_rangine_CheckPattern',
							patternCode: pcode,
						},
						beforeSend: function(){
							$('#onlinepattern .pattern-message').html('<span class="process-icon-loading">در حال بررسی...</span>');
						},
						success: function (json) {
							
							var obj = JSON.parse(json);
							console.log(obj);
							var message = '';				
								
								  if(obj.status.code == 0){
									$('#onlinepattern .pattern-message').html(obj.data.patternMessage.replace("\n","<br>"));
									var pvars = obj.data.patternParams;
									var output = '<p>لطفاً پارامترهای پترن را با متغیرهای سایت تکمیل نمایید.</p>';
									pvars.forEach(function(value, index, array){
										output += '<div><label>'+value+'</label><input type="text"/></div>';
									});
									$('.pcodecheckresult').html(output);
									$('.variableshelp,.patterninsert').removeClass('hidden');
									$('.onlinepcodechecker').addClass('hidden');
									$('.ranginepatternstephelp').html('حالا پارامترهای پترن خود را در کادرهای ظاهر شده تکمیل نمایید. از متغیر %OTP% برای جایگزینی با کد تأیید موبایل استفاده کنید.');
									var patternoutput = '';
									$('.patterninsert').click(function(){
										$('.pcodecheckresult div').each(function(){
											if(patternoutput !== '') patternoutput += "\n";
											patternoutput += $(this).find('label').text()+':'+$(this).find('input').val();
										})
										console.log(patternoutput);
										$('.rangine_pattern input').val(pcode);
										$('#vrmWrapper').remove();
									});
								  }else if(obj.status.code == 404){
									  $('#onlinepattern .pattern-message').html('پترن در دسترس نیست. مطمئن شوید که کد پترن را درست و بدون فاصله در چپ و راستش درج کرده اید. اگر به تازگی ثبت کرده اید منتظر باشید تا توسط سامانه تایید شود.');
								  }else if(obj.status.code == 962){
									  $('#onlinepattern .pattern-message').html('نام کاربری یا رمز عبور اشتباه است. اطلاعات ورود پنل پیامکتان را درست وارد کنید.');
								  }else{
									  $('#onlinepattern .pattern-message').html('این الگو در دسترس شما نیست. اگر به تازگی ثبت کرده اید منتظر باشید تا توسط سامانه تایید شود.');
								  }
						},
						complete: function(){
							$('#onlinepattern .pattern-message .process-icon-loading').hide();
						},
					});

					return false;
				});
			});
			} else {
				$('tr.panel_pattern .rangine-tools').remove();
			}
	}
	function dokan_verification_smspage_timeout() {
		setTimeout(function () {
			if($('#dokan_verification_sms_gateways\\[active_gateway\\]').length){
				var active_gateway = $('#dokan_verification_sms_gateways\\[active_gateway\\]').val();
				activate_gateway(active_gateway);
			}else{
				dokan_verification_smspage_timeout();
			}
			
		}, 1000);
	}
	dokan_verification_smspage_timeout()
	function dokan_verification_gateway_test(phone){
		if ( phone == '' ) {
			alert('لطفاً یک شماره همراه برای دریافت پیامک تست وارد کنید.');
			$('input#verification_gateway_test_number').focus();
			return;
		}
		var data  = {
			action : 'dokan_v_send_sms_test',
			phone : phone,
		};
		$('#verification_gateway_test_result span').text('در حال ارسال...');
		$.post( dokan.ajaxurl, data, function( resp ) {
			if ( resp.success == true ) {
				if(resp.data.success == true){
				  $('#verification_gateway_test_result span').html('<span style="color:green">پیامک تست ارسال شد.</span>');
				}else{
				  $('#verification_gateway_test_result span').html('<span style="color:red">پیامک ارسال نشد. تنظیمات درگاه و اعتبار پنل پیامک و متن ارسالی را بررسی کنید.</span>');
				}
			}else{
				$('#verification_gateway_test_result span').html('<span style="color:red">پیامک ارسال نشد. تنظیمات درگاه خود را بررسی کنید.</span>');
			}
		});
		return false;
	}

} )( jQuery );